SaaS Rails Kit Supports Rails 4

It’s been a long time coming, but the [SaaS Rails Kit](https://railskits.com/saas) finally supports Rails 4! Deprecations have been squashed, dependencies have been updated, and the code has never been more slim and trim. 🙂

I have removed all the UI from the gem, instead depending on the RailsAdmin gem in the sample application to manage subscriptions, etc. This means that UI dependencies, such as devise, have been removed from the Kit, so if you are are upgrading you may need to add those dependencies to your application’s Gemfile to compensate.

Check out the [updated overview video](https://tesly.wistia.com/medias/x0sv1sjz8m) to see how easy it is to get your app started with the Kit.

Here are the details on the changes in this update:

#### Gem Changes
* Added support for Rails 4
* Updated to latest ActiveMerchant
* Removed PayPal support
* Removed controllers and views for administering subscriptions – Use RailsAdmin (or similar) in the host application instead
* Removed dependencies on devise, country_select, inherited_resources, kaminari, dynamic_form – All UI has been removed from the gem

#### Sample App Changes
* Use Rails 4
* Added RailsAdmin
* Added Twitter Bootstrap layout
* Improved views

Existing customers can upgrade by visiting their order page at railskits.com (the link was included in your original order email) and/or by running “gem update saas-kit” in their apps to get version 3.0.0.

As always, if you have any questions, feel free to [get in touch](https://railskits.com/about).

Leave a Reply

Your email address will not be published. Required fields are marked *